package exampler.fitlibrary;

import fit.Parse;

public abstract class EditableParse extends Parse {
    public EditableParse(String tag, String body) {
        super(tag, body, null, null);
    }

    protected void addAsFirstChild(Parse child) {
        child.more = parts;
        parts = child;
    }

    protected void addAsLastChild(Parse child) {
        if (parts == null) {
            parts = child;
        } else {
            parts.last().more = child;
        }
    }
}
